This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 235022 - RFE : Spell-checker retains on/off toggle between instances
RFE : Spell-checker retains on/off toggle between instances
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-03 08:55 EDT by ritz
Modified: 2014-02-04 13:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
enable spell check for new documents (5.95 KB, patch)
2007-04-03 09:02 EDT, ritz
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 305055 None None None Never

  None (edit)
Description ritz 2007-04-03 08:55:18 EDT
Description of problem:

Ability to retain autospell check on/off between runs as i find it rather useful .
Comment 1 ritz 2007-04-03 09:02:18 EDT
Created attachment 151554 [details]
enable spell check for new documents


enable spell check by default on document load

enable spell check by default on document load

There is no UI configuration. To enable spell  check on load, by default

$ gconftool-2 --type bool  --set /apps/gedit-2/plugins/spellcheck/value true
Comment 2 ritz 2007-04-03 09:07:39 EDT
From gnome bugzilla #308324

It would be nice if the Auto-Spellcheck toggle was maintained for newly opened
documents.  I realize this isn't *always* what the user wants (I could have a
README in one tab and source code in another), but it is frequently what the
user wants (and especially what a non-expert/non-coding user would want).

For my use case, this is a frequent annoyance, as I have to type Alt-T A for
every document I open to turn autospellcheck on. It's also frustrating since I
unconsciously *assume* spellchecking is turned on for new documents (since I
already turned it on) and then incorrectly assume there are no errors in my
newly opened (but error-filled) document.

In my mind this latter assumption -- presumably shared by many users -- is
reason enough to make the "Autospell-Check" option stick for all newly opened
documents. If the user did not intend for the new document to be spellchecked,
it will be immediately evident what has happened if they open a document and see
 non-words underlined in red. On the other hand, if a user *did* intend for
autospellchecking and opens a new document and spellchecking is turned off,
there is no obvious way for the user to discover that spellchecking is not
happening.

Note, this bug is related to but distint from bug #305055.
Comment 3 Matthias Clasen 2007-04-03 09:54:05 EDT
Sounds like a reasonable idea. Something like this is probably best tracked
upstream, by filing a gedit bug in bugzilla.gnome.org
Comment 4 Ray Strode [halfline] 2007-04-03 10:37:37 EDT
Another point is we already auto-spell check for most programs.  The default
should be to auto-spell check for gedit, too, if we don't already.
Comment 5 Jon Stanley 2008-04-23 16:29:58 EDT
Adding FutureFeature keyword to RFE's.

Note You need to log in before you can comment on or make changes to this bug.